Welcome

IxServer

User Guide

Release 9.14


Notices

Path: Notices

Notices

Copyright Notice

© Keysight Technologies 2020

No part of this document may be reproduced in any form or by any means (including electronic storage and retrieval or translation into a foreign language) without prior agreement and written consent from Keysight Technologies, Inc. as governed by United States and international copyright laws.

Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Technology Licenses

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.

U.S. Government Rights

The Software is "commercial computer software," as defined by Federal Acquisition Regulation ("FAR") 2.101. Pursuant to FAR 12.212 and 27.405-3 and Department of Defense FAR Supplement ("DFARS") 227.7202, the U.S. government acquires commercial computer software under the same terms by which the software is customarily provided to the public. Accordingly, Keysight provides the Software to U.S. government customers under its standard commercial license, which is embodied in its End User License Agreement (EULA), a copy of which can be found at http://www.keysight.com/find/sweula. The license set forth in the EULA represents the exclusive authority by which the U.S. government may use, modify, distribute, or disclose the Software. The EULA and the license set forth therein, does not require or permit, among other things, that Keysight: (1) Furnish technical information related to commercial computer software or commercial computer software documentation that is not customarily provided to the public; or (2) Relinquish to, or otherwise provide, the government rights in excess of these rights customarily provided to the public to use, modify, reproduce, release, perform, display, or disclose commercial computer software or commercial computer software documentation. No additional government requirements beyond those set forth in the EULA shall apply, except to the extent that those terms, rights, or licenses are explicitly required from all providers of commercial computer software pursuant to the FAR and the DFARS and are set forth specifically in writing elsewhere in the EULA. Keysight shall be under no obligation to update, revise or otherwise modify the Software. With respect to any technical data as defined by FAR 2.101, pursuant to FAR 12.211 and 27.404.2 and DFARS 227.7102, the U.S. government acquires no greater than Limited Rights as defined in FAR 27.401 or DFAR 227.7103-5 (c), as applicable in any technical data. 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Ixia_Contacts

Contacting Us

Keysight headquarters

26601 West Agoura Road

Calabasas, California 91302

www.ixiacom.com/contact/info

Support

Global Support | +1 818 595 2599 | support@ixiacom.com
Regional and local support contacts:
APAC Support | +91 80 4939 6410 | support@ixiacom.com
Australia | +61-742434942 | support@ixiacom.com
EMEA Support | +40 21 301 5699 | support-emea@ixiacom.com
Greater China Region | +400 898 0598 | support-china@ixiacom.com
Hong Kong | +852-30084465 | support@ixiacom.com
India Office | +91 80 4939 6410 | support-india@ixiacom.com
Japan Head Office | +81 3 5326 1980 | support-japan@ixiacom.com
Korea Office | +82 2 3461 0095 | support-korea@ixiacom.com
Singapore Office | +65-6215-7700 | support@ixiacom.com
Taiwan (local toll-free number) | 00801856991 | support@ixiacom.com


About This Guide

The information in this section helps you to navigate this guide and make better use of its content. A list of related documents is also included.

The Third-Party Software License document is included with the download package.

Purpose

This guide provides information about IxServer theory, features, functions, options, and additional test setup details.

Manual Content

This guide contains the following sections:

Section Description

About This Guide

Provides information on this guide, including its purpose, content, and related documentation. Also explains how to contact technical support.

Chapter 1, Using IxServer

Provides complete information on using IxServer, including a functional overview and a description of it's GUI.

Related Documentation

The following guides may help you learn more about IxServer. The guides are available on the CD shipped with the application, and also on the Ixia Web site at www.ixiacom.com.

  • IxExplorer User Guide: Provides details on the usage of the IxExplorer GUI for operation with an Ixia chassis and Ixia load modules.
  • Ixia Platform Reference Guide:Provides a detailed list of all currently supported Ixia chassis and Ixia load modules, as well as general information regarding various technologies covered by Ixia products.
  • IxOS Tcl Development Guide:Describes the structure and conventions of the IxExplorer Tcl API and provides detailed information on all API commands.

In addition to these guides, IxServer context-sensitive Help is available. By pressing F1 or the application's Help, information about the displayed application window appears. Help content can also be accessed from the Help's table of contents or index.

Technical Support

You can obtain technical support for any Ixia product by contacting Ixia Technical Support by any of the methods mentioned on the inside cover of this guide. Technical support from Ixia's corporate headquarters is available Monday through Friday from 06:00 to 18:00 Pacific Standard Time (excluding American holidays). Technical support from Ixia's EMEA and India locations is available Monday through Friday, from 08:00 to 17:00 local time (excluding local holidays).


What's New in 9.14

No new features are added in this release.


Chapter 1: Using IxServer

Path: Chapter 1: Using IxServer > Chapter 1: Using IxServer

Using IxServer

IxServer Overview

IxServer is a software application that provides access to the chassis hardware (that is, the load modules and physical ports) and software functions for connected client computers running IxExplorer, IxAutomate (formerly IxScriptmate), TCL programs, and other applications. It also controls and monitors the Ixia chassis.

IxServer is loaded onto the chassis and sits on top of the chassis operating system. When started, IxServer detects the chassis type, the load modules types, and port types, and provides the information to any recognized client computers that have established a connection with IxServer. It also forwards client computer requests to the chassis hardware.

Figure:Clients and IxServer shows client computers connected to IxServer through a LAN.

Figure:Clients and IxServer

In Figure:Clients and IxServer three workstations using different Ixia client software (IxExplorer, IxAccess, and IxAutomate) are connected to the chassis through IxServer.

Ixia chassis come with IxServer already installed. IxServer must be running for the chassis to be accessible to Ixia clients.

Note: Some client computers can also run directly on the chassis instead of operating remotely.


Performance Monitoring

The Windows Performance Monitor (PerfMon) tool has been integrated into IxServer to help identify system-level and application-level performance issues. PerfMon is a powerful diagnostic tool that monitors the state of IxServer and creates log files that can be accessed by you and/or submitted to Ixia Technical Support, if the need arises to request help to diagnose and correct any problems.

Some of the features of the Performance Monitor are mentioned in the following list:

  • The monitoring process runs automatically when IxServer starts.
  • Log files are created and stored in the folder %LOCALAPPDATA%\Ixia\IxOS\9.10.X.Y\IxServer\PerfMon\. To view these files select File and then select Open IxServer Logs Location.
  • Log files are identified by the name IxServerPerfMon_<timestamp>.blg and can be opened by double-clicking and viewed in Windows Performance Monitor. Use the relog command to post-process these files if desired.

System Specific Counters

System-specific counters that are implemented and recorded in log files include the following:

  • Processor(_Total)\% Processor Time: How `loaded' the CPU is at any given time.
  • PhysicalDisk(_Total)\Avg. Disk Queue Length: The average number of both read and write requests that were queued for all the disks during the sample interval.
  • Memory\Pages/sec: The rate at which pages are read from or written to disk to resolve hard page faults. This counter is a primary indicator of the kinds of faults that cause system-wide delays.
  • Memory\Available MBytes: The amount of physical memory available to processes running on the computer.
  • Memory\Pool Nonpaged Bytes: The size in bytes of the nonpaged pool (system memory area for objects that cannot be written to disk but remain in physical memory as long as they are allocated).
  • Memory\Pool Paged Bytes: The size in bytes of the paged pool (system memory area for objects that can be written to disk when they are not being used).
  • Memory\% Committed Bytes In Use: The ratio of committed memory and commit counter. This counter displays the current percentage value only, not the average. Committed memory is the physical memory in use for which space has been reserved in the paging file should it need to be written to disk.
  • Memory\Commit Limit: The amount of the virtual memory that can be committed without having to extend the paging file(s). Committed memory is the physical memory which has space reserved on the disk paging files. There can be one paging file on each logical drive. If the paging file(s) are expanded, this limit increases accordingly. This counter displays the last observed value only, not the average.
  • Memory\Committed Bytes: The amount of committed virtual memory, in bytes. Committed memory is the physical memory which has space reserved on the disk paging file(s). There can be one or more paging files on each physical drive. This counter displays the last observed value only, not the average.

IxServer Specific Counters

  • Process(IxServer)\%Processor Time: The percentage of elapsed time that all IxServer threads used the processor to execute instructions. Code that was executed to handle some hardware interrupts and trap conditions is included in this count.
  • Process(IxServer)\Working Set: The current size (in bytes) of the set of the memory pages touched recently by IxServer threads. If free memory in the computer is above a threshold, pages are left in the Working Set of a process even if they are not in use.
  • Process(IxServer)\Handle Count: The total number of handles currently open by IxServer. This number is equal to the sum of the handles currently opened by each thread in IxServer.
  • Process(IxServer)\Page File Byte: The current number of bytes that this process has used in the paging file(s). Paging files are used to store pages of memory used by the process that are not contained in the other files. Paging files are shared by all processes, and the lack of space in paging files can prevent other processes from allocation memory.
  • Process(IxServer)\Pool Nonpaged Bytes: The size in bytes of the nonpaged pool, an area of system memory (physical memory used by operating system) for objects that cannot be written to disk, but must remain in physical memory as long as they are allocated. Memory\\Pool Nonpaged Bytes is calculated differently than this, so it might not equal Process\\Pool Nonpaged Bytes\\_Total. This counter displays the last observed value only, not an average.
  • Process(IxServer)\Pool Paged Bytes: The size in bytes of the paged pool, an area of system memory (physical memory used by the operating system) for objects that can be written to disk when they are not being used. Memory\\Pool Pages Bytes is calculated differently than this, so it might not equal Process\\Pool Pages Bytes\\_Total. This counter displays the last observed value only, not an average.
  • Process(IxServer)\Virtual Bytes: The current size, in bytes, of the virtual address space that IxServer is using. Use of virtual address space does not necessarily imply corresponding use of either disk or main memory pages. Virtual space is finite, and the process can limit its ability to load libraries.


Usage Overview

Path: Chapter 1: Using IxServer > Usage Overview

IxServer Usage

IxServer may be configured to auto-start when the chassis is powered up. No operator intervention is necessary. However, there are various configurable IxServer options.

This document is divided into primary IxServer tasks, based on starting and exiting IxServer and the available menu bar options. Some of these sections are broken down further into subtasks. Descriptions and links to the sections are provided as follows:

  • Starting IxServer: Describes how to open and view IxServer. This information is provided in Starting IxServer.
  • Exiting IxServer: Describes how to shut down IxServer. This information is provided in Exiting IxServer.
  • Using the IxServer Window: Describes how to change the IxServer main window view. This information is provided in Using the IxServer Main Window.
  • Using IxServer Tools: Describes the various options in configuring IxServer performance, diagnostics, and authentication. This information is provided in Using IxServer Tools.
  • About IxServer: Describes how to access IxServer version and copyright information. This information is provided in About IxServer.

IxServer is a licensed component of IxOS. It must have a registered license before it can be used. If the current version of IxServer does not have a valid license, the following messages are logged in the IxServer main window when IxServer is started:

Figure:License Warning Messages

Note: For information on installing IxOS, see the Getting Started Guide. For information on licensing, see the Ixia License Management Guide


Starting IxServer

IxServer is started by double-clicking the desktop icon (IxServer.exe) installed as part of the installation process, as shown in the following figure.

Note: IxServer may automatically run when the chassis is powered up; so it is not always necessary to manually start IxServer.

The IxServer window is shown in the following figure.

Figure:IxServer Window

The components of IxServer main window are mentioned in the following list:

  • Menu Bar:Lists the menu options for the server. These options include the following:
    • File:Allows to shut down IxServer, and is described in Exiting IxServer.
    • View:Allows to modify the appearance of the IxServer main window, and is described in Using the IxServer Main Window.
    • Tools:Allows to configure IxServer options, run diagnostic tests, and enter Secure Mode. This menu is described in Using IxServer Tools.
    • About:Displays the version number and copyright information for IxServer, and is described in About IxServer.
  • Toolbar: Options that allow to print the information in the IxServer Task window ( [image]) and access IxServer help ( [image]).
  • Status bar and Connections display: Used to convey the status of various server operations. The Status bar Connections entry displays three numbers separated by colons. The first number represents the number of client computer connections, including Tcl clients (Wish, Expect), IxExplorer clients, Stream Statistic Views, Packet Group Statistic Views (IxOS 5.10 and later), or Latency Views (IxOS 5.00 or earlier). The second number represents the number of Stat View `watch' processes monitoring the chassis, which would include IxExplorer Stat View instances and TCL statWatch objects. The third number represents the number of High Performance Mode connections.
  • Task window: Used to convey information on server, diagnostic, and test configurations and operations. The Task window displays the operations being performed by the server, in real time. Operations include attempts by Ixia clients to log on to the server, the diagnostic tests of IxServer, and the active tests being run by clients. The server display has several fields, described in Table:Main IxServer Dialog Box Fields.

    • Table:Main IxServer Dialog Box Fields

    Field Usage
    Date/Time
    The date and time a particular server action was logged, in the format mm-dd-yyyyhh:mm:ss. The time (hours, minutes, seconds) is in military time.
    Card
    The load module card on which the server action was performed.
    Port
    The card port on which the server action was performed.
    Result
    This field shows `fail' if a start up test or diagnostic operation fails.
    Event
    A description of the server action.

Exiting IxServer

To shut down IxServer, complete one of the following:

  • Select the Exit option in the File menu.
  • Select [image] in the upper right corner of the main window to shut down IxServer. A warning dialog box appears. Select Yes to confirm your action.

    • Figure:Exit Warning

Using the IxServer Main Window

You can modify the manner in which the main IxServer window is displayed can be modified by using the View menu. The menu allows for adding or removing the Toolbar and Status bar from the display. In the default state, both the Toolbar and the Status bar are displayed when IxServer is run.

  • To hide the Toolbar, select View > Toolbar.
  • To hide the Status Bar, select View > Status Bar

You can hide both the Toolbar and the Status bar simultaneously.


Starting IxServer

Path: Chapter 1: Using IxServer > IxServer Usage > Trade-in Eligible End of Life Load Modules

Trade-in Eligible End of Life Load Modules

You can upgrade from existing legacy load modules to NOVUS -1G/10G using the Ixia Trade-in program.

The following load modules that have reached end of life or end of sale, are eligible for the Ixia Trade-in program.

  • Xcellon-FlexFE10G16S
  • Xcellon-FlexAP10G16
  • LSM10GXM8S-01
  • LSM10GXM8XP-01
  • LSM10GXM8-01
  • LSM1000XMVDC16-01
  • LSM1000XMV16-01

To check the eligibility for trade-in of a load module see the Trade-in portal: https://support.ixiacom.com/trade-in/check.

If you have opted for a trade-in of any load module but have not returned or scrapped the load module within ninety days of shipment of the newly purchased load module, the trade-in product is deactivated, and all Ixia support obligations terminated.
The serial numbers of such load modules are added to the End of Life (EOL) list.

If a load module present in the current chassis is included in the EOL list, then on Server boot up, a message appears in IxServer logs.
An example of such message is as follows:

“03-16-2017 12:33:11.265 09a0 11 Alert Removing Load Module with serial '082848' part number '860-1229-15' as it has been deactivated according to the Ixia trade-up program.”


Starting IxServer

Path: Chapter 1: Using IxServer > IxServer Usage > Metronome Time Synchronization

Metronome Time Synchronization

Metronome provides time synchronization of independent Ixia chassis and chassis chains located anywhere in the world from multiple external time delivery sources.

When chassis are linked together into a chassis chain by sync cables, the time source selected for the Master in the chain is the basis for the timing of ALL chassis in that chain. Any time source selected for an individual subordinate chassis is overridden by the timing supplied from the master chassis.
Metronome is used with the XGS2-SD, XGS2-HS, XGS12-SD and XGS12-HS chassis and the AresONE fixed form factor chassis. Every metronome in the system can provide timing and triggers to eight chassis.

IxServer logs detects the Metronome timing source and contains the entries for the Master chassis as shown in the following figure:

Figure: IxServer Logs – Master Chassis in chassis chain when using Metronome

If IxServer does not detect Metronome, the logs will not contain the entries for the Master chassis as shown in the previous image.
Instead, IxServer will show legacy chassis chain information.

IxServer logs detects the Metronome timing source and contains the entries for the Slave chassis as shown in the following figure:

Figure: IxServer Logs – Slave Chassis in chassis chain when using Metronome

If IxServer does not detect Metronome, the logs will not contain the entries for the Slave chassis as shown in the previous image.
Instead, IxServer will show legacy chassis chain information.


Using IxServer Tools

The Tools menu provides access to server tools that can be used to configure performance, run diagnostic tests, set the security feature, and configure the restricted access and ownership of ports by users and groups of users. These tools are accessed by selecting Tools in the menu bar.

Note: Windows Performance Monitor is a separate system monitoring application that is integrated into IxServer but is not accessible through the Tools menu. See Performance Monitoring.

There are four options in the Tools menu. These are mentioned in the following list:

  • Options: Allows to set IxServer performance, display, and logging characteristics. The Options configuration parameters are described in Options.
  • Diagnostics: Allows to run tests on the chassis and view IxServer connection statistics. Diagnostics options are described in Diagnostics.
  • Secured Mode: Allows to set authentication requirements for wanting to connect to IxServer. Secured Mode is described in Secured Mode. If Secured Mode is active, Managed Mode is not accessible (disabled).
  • Managed Mode: Allows to access the ports that you can see, own, modify, and use. You can configure user ownership of ports and create groups of users with common restrictions or access. See Managed Mode. If Secured Mode is active, Managed Mode is not accessible (disabled).


Options

Server options allow you to configure IxServer performance, display, and logging characteristics. The Options dialog box appears by selecting Options from the Tools menu in the menu bar. The Options dialog box is shown in the following figure.

Figure: IxServer Options Dialog

There are four tabs in the IxServer Options dialog box. The tabs are described in the following list:

  • General: Sets the Read/Write timeout and the IxServer main window appearance. This tab is described in General Tab.
  • Power-up Test: Controls the parameters of the test initiated when IxServer is started. This tab is described in Power-up Test Tab.
  • Hardware Parameters: Displays the I/O hardware address offset. This tab is described in Hardware Parameters Tab.
  • Event Logging: Controls when to start logging, when to name logging files, and when to generate new files. This tab is described in Event Logging Tab.

General Tab

The General tab allows to set the IxServer Read/Write timeout and the font settings for the main IxServer window. By default, it is the first tab displayed when Options is selected from the Tools menu in the menu bar. The dialog box is shown in Figure:IxServer Options Dialog.

For IxVM load module, the General tab is shown in the following figure. The highlighted box indicates the fields that are available only for IxVM ports.

The fields in this tab are explained in Table:General Options Descriptions.

Table:General Options Descriptions

Field | Usage

Read/Write Timeout

Allows to set the IxServer Read/Write timeout, in seconds. Any client computer connection to IxServer that has been inactive for this amount of time is closed.

Appearance

Displays the font used for the text in the IxServer Task window. Selecting Font allows to modify the font style of the text displayed in the IxServer Task window using a standard Windows font selection dialog.

Show server and chassis info

Select the check box to show the chassis and server information on the LCD display.
If cleared, all the information is hidden from the user.

The following possible states for XM2 and XM12 are shown:

During Server startup

  • Starting up...
  • Power Up
  • PHY link is up/down

When Server is ready

  • Server Ready
  • IxOS Version:

<The actual version number >

  • Chassis Name:

< The actual name of the chassis >

  • Chassis: < Master/Slave >
  • IP Address:

< The actual IP address of the chassis or "Unknown IP" >

  • Chassis Number: < The id number of the chassis (1/2/3/etc.) >
  • Server < FAIL/OK >
  • ScrollerCoreErr

During Server shutdown

  • Server Stopped.

Clear LCD fail message

Clears the failure notification shown on the physical chassis LCD in case an error occurs, provided the chassis has an LCD display.

Feature Activation ->

Open IxExplorer

Feature Activation can perform a field upgrade of a load module. You can purchase a feature for a load module with a specific serial number. You will receive an email from Ixia that contains an activation code.

In IxExplorer, first take ownership of the load module you wish to upgrade (the load module will be hot-swapped by the software to complete the activation procedure). In Chassis Properties > Features, type the activation code in the Feature Activation box and then select Activate to activate the feature. IxServer searches the chassis for the serial number that is embedded in the activation code and permanently activates the feature on the load module.

Example: You can upgrade your Xcellon Multis load modules to become 10G capable.

For more information, see IxExplorer User Guide.

Save/Reload stream config (disable for faster reboot)

By default, the Save/Reload stream config (disable for faster reboot) check box is selected.

When you clear the check box, a part of the information in IxServer.ixs (the stream config) will not be loaded, in order to boot up IxServer faster.

For VM ports, the check box is not visible in the IxExplorer GUI.

Note: IxServer.ixs file is always loaded on IxServer startup.

License Server | The name of the external IxVM license server for server licenses.
NTP Master Server | Represents the IP/hostname of the NTP server that the IxVM cards synchronizes their time to. If you are running traffic from IxVM ports from multiple chassis, the NTP Master Server needs to be the same on all the chassis.
Default Start Tx Delay (Seconds) | Delays the start of the scheduled stream by the number you enter in seconds.
Disable Forcefully Clear Ownership | When you select Disable Forcefully Clear Ownership check box, users cannot forcefully clear or take ownership. This option is not made available by default.
Mandatory Ownership

After you select this check box, the port or card will be locked for other users. In IxExplorer, you must log in and take ownership before you start using any IxExplorer feature on this port or card. See, IxExplorer Guide for information on taking ownership.

Note: You must restart IxServer after you select this check box to turn on this feature.

Extended Capture Mode

After you turn on this feature, the capture support for all 8 RGs of a Novus100G LM. IxServer stops and a message appears in the log stating that Capture mode is changed and a restart is needed.

This option is seen only in XGS-12 chassis. After it is turned on, it turns off the slots 1,2,11,12 of the chassis.

Select OK on the IxServer Options dialog box to institute the font change.


Power-up Test Tab

The Power-up Test tab is used to control the tests that are performed on the chassis when IxServer is started, and to configure those tests. To view the Power-up Test tab, select Options in the Tools menu in the menu bar. When the Options dialog box appears, select the Power-up Test tab. The Power-up Test tab appears, as shown in the following figure.

Figure:Power-up Test Configuration

The fields displayed in this tab are described in Table:Power-up Test Parameters.

Table: Power-up Test Parameters

Test | Field | Usage

Memory Test

A memory test runs a check of the load module memory, used for background data, capture buffer, overlay data, and so forth. The test writes read patterns to the RAM and verifies that it can hold the data.

Incrementing Address

Selecting this option increments the value of the data written during a memory test.

Decrementing Address

Selecting this option decrements the value of the data written during a memory test.

Page Test

Selecting this option verifies that each page of memory can be written to (in page increments of 64 kbytes).

MSD Diagnostics | Hardware tests that IxServer runs on each load module to ensure the hardware is not faulty.
Execute automatically on startup every 14 days | Selecting this option runs MSD tests automatically every 14 days on startup of a card.

When you are done selecting and configuring tests, select OK. On the next start up of IxServer, the configured tests are run on the chassis.


Hardware Parameters Tab

Hardware parameters are displayed by selecting the Hardware Parameters tab. This dialog box is shown in the following figure.

Figure:Hardware Parameters Dialog

The Hardware Parameters tab displays the input/output hardware offset address of the chassis, in hexadecimal format. Different chassis have different offsets. The offset must be added to registers (that is, a card register at 100 hex) to correctly identify the register address.

This dialog box does not apply to Optixia family chassis.

The hardware offset cannot be modified.


Event Logging Tab

The Event Logging tab is used to control the manner in which logging files are created and saved. To view this tab, select Event Logging on the IxServer Options dialog box. The tab appears as shown in the following figure.

Figure:Event Logging File Configuration

The fields in the tab are described in Table:Event Logging Parameters.

Table:Event Logging Parameters

Group Field Usage

Enable Logging

If selected, starts an event.

Session Begin/End

If selected, the start and stop time of each client session is logged.

Events

If selected, enables logging of events.

Errors

If selected, enables logging of errors.

High volume stat requests

If selected, enables logging of high volume statistics requests.

File Name Format

Indicates the name under which the various log and csv files are kept. The event files are logged into the same folder in which the Ixia IxExplorer was loaded (usually c:\Program Files\Ixia\IxOS\version X). The name may contain any of the following character sequences, which are substituted with actual values when each log file or csv file is created.

  • %Y: The four digit year number. For example, 2008.
  • %m: The two digit month number. For example, 01 for January.
  • %d: The two digit day number within the month.
  • %a: The abbreviated weekday name.
  • %A: The full weekday name.
  • %b: The abbreviated month name.
  • %B: The full month name.
  • %c: The date and time appropriate for the locale.
  • %H: The hour in 24-hour format.
  • %I: The hour in 12-hour format.
  • %j: The day of the year as a decimal number.
  • %M: The minute as a decimal number.
  • %p: The AM/PM indicator.
  • %S: The second as a decimal number.
  • %U: The week of the year as a decimal number.
  • %w: The weekday as a decimal number.
  • %W: The week of the year as a decimal number.
  • %x: The date representation for the current locale.
  • %y: The two digit year number. For example, 99.
  • %z,%Z: The time-zone name or abbreviation.
  • %%: The percent sign.

Open New Log

This group of options controls when a new log file is created.

Daily/Weekly/Monthly

A new log is started on a daily, weekly, or monthly basis, depending on the selection.

When file size exceeds __ MB

If this is selected, a new log is also started when the size of a log file exceeds a specified size.

ETW Traces

 ETW (Event Tracing for Windows) is an advanced method of collecting tracing information for diagnostics purposes. Traces are automatically rotated as necessary, for example when Diagnostics collection is invoked from IxExplorer. In some cases, a Support Engineer may want to collect some traces manually from the chassis. Enter a star (*) in the ETW Traces box and select Rotate Now to flush to disk and rotate all the traces, and open an Explorer window so that the Support Engineer can easily locate the trace files for manual retrieval.


Diagnostics

Diagnostic tests are used to confirm the correct operations on specified chassis ports.

Note: Diagnostics tests are intended for Ixia use only. We recommend the use of these tests with guidance from Ixia.

To configure diagnostic tests, open the IxServer Diagnostics dialog box by selecting Diagnostics in the Tools menu. The IxServer Diagnostics dialog box is shown in the following figure.

Figure:Diagnostics Tests

The desired operation is performed as soon as an option is selected. The results of the operation are immediately viewed in the IxServer Task window.

The fields shown in the above dialog box are explained in Table:Diagnostics Options.

Table:Diagnostics Options

Field | Usage

Card

The load module card number in the chassis on which a selected test is to be performed.

Port

The port number in the load module card on which a selected test is to be performed.

TxSRAM

Dumps the contents of the transmit SRAM cache for the selected port to the IxServer Task window.

TxDRAM

Dumps the contents of the transmit DRAM cache for the selected port to the IxServer Task window.

RxDRAM

Dumps the contents of the receive DRAM cache for the selected port to the IxServer Task window.

Dump 10GSw

Dumps the statistics for the TenSpeed switch, if equipped.

PCPU Uart | Dumps diagnostics for the selected port/PCPU to the IxServer window.
Mem Test
Performs a memory test for the selected card (across the whole chassis when card is zero).

Mii Registers

Selecting this option causes IxServer to read the configured Media Independent Interface (Mii) settings for the selected port.

Reset 10GSW

Resets the TenSpeed Switch if equipped. This may temporarily disrupt communication to/from any TEC-based load module, so use with caution.

Port Trace

(No longer supported)

LP Reboot

Restarts the selected port CPU, and reloads the firmware.

Server Stat

Displays the Server Statistics dialog box, explained in Server Statistics.

Force hotswap | Performs a hotswap for the selected card; use only if no users are connected. Normal users should prefer to use IxExplorer.

Phy Upgrade

Forces the Gennum EEPROM download for the selected port, if equipped.

Queues

Displays information about some internal queues. Queues dumps the state for the entire chassis (ignoring the card/port selectors).

Tasks

Lists all the tasks for the entire chassis (ignoring the card/port selectors).

PCPU Queues | Dumps raw contents of the selected PCPU queue.
Subscriptions | Dumps the internal state of the Publish/Subscribe subsystem.


Server Statistics

The Server Stat option on the IxServer Diagnostic dialog box opens the Socket Connections dialog box. This dialog box displays various statistics for each Ixia client computer connection to the chassis.

The Socket Connections dialog box is shown in the following figure.

Figure:Socket Connections Statistics

The fields present in the Socket Connections dialog box are described in Table:Socket Connections Display.

Table:Socket Connections Display

Field | Description

ID

A generated ID number for the connection.

Port

The socket port being used for the user connection.

Peer Address

The IP address and TCP port of the session client.

User

The user name of the client computer , if he or she is logged in.

TimeUp

The length in time the connection has been linked to the IxServer. The format is hh:mm:ss.

Recv Msgs

The number of messages received from the client computer side of this connection.

Recv Bytes

The number of bytes received from the client computer side of this connection.

Recv Q

The socket connection receive queue size, in bytes.

Send Msgs

The number of messages sent to the client computer side of this connection.

Send Bytes

The number of bytes sent to the client computer side of this connection.

Send Q

The socket connection send queue size, in bytes.

Requests

The number of requests received from the client computer side of this connection.

Replies

The number of replies sent to the client computer side of this connection.

Foreign Requests

The number of unknown requests received from the client computer side of this connection.

Sndr State

The current state of the packet sender. Either up or down.

Rcvr State

The current state of the packet receiver. Either up or down.

Kill

Selecting this option terminates a highlighted connection.

Pause Recv | Temporarily pauses all activity for the selected client; use only for debugging or as directed.
TCPstat | Prints output resembling the netstat command for TCP connections, showing additional information that is normally not available with the standard netstat command.


Secured Mode

Secure mode is an option of IxServer that separates users into Administrators and Operators. Administrators have read and write privileges on the chassis, while Operators only have read privileges. This is also referred to as Secure Multiuser operation, and is explained in IxExplorer Operation in the IxExplorer Users Guide.

Securing the Server

To secure IxServer, open the Secure Mode dialog box by selecting Secured Mode from the Tools menu. A dialog box is displayed warning of the properties of secure mode, as shown in the following figure.

Figure:Secure Mode Warning

To cancel the operation, select No. To continue, select Yes.

If you select Yes, the Secure Mode dialog box appears. This dialog box is shown in the following figure.

Figure:Secure Mode Dialog

The fields displayed are described in Table:Secure Mode Dialog Fields.

Table:Secure Mode Dialog Fields

Field Usage

Administrator name

The alphanumeric user name of the Administrator. This name is the only one that is accepted by the log on prompt when attempting to access the chassis from IxExplorer.

Password

A password associated with the Administrator name. The characters entered are hidden by star (*) characters.

Confirm Password

A confirmation of the password entered in the field above. The characters entered are hidden by star (*) characters.

To activate secure mode, enter an alphanumeric Administrator name, a password, and confirmation of the password. When this is done, select Enter Secure Mode. A dialog box appears, confirming that IxServer (and therefore, the chassis) is now locked to everyone except the specified administrator.

This dialog box is shown in the following figure.

Figure:Secure Mode Confirmation

Select OK to place theIxServer (and the chassis) in secure mode. All current connections are blocked, and all users on the chassis are immediately initiated to log on. Initially, only the user name and password of the administrator (set in the IxServer Secure Mode dialog box shown in Figure:Secure Mode Dialog on page 1-20) is accepted.

The Administrator can now add users to the chassis through the IxExplorer GUI, choosing whether a user is an operator (read privileges only) or an administrator (read and write privileges).

A checkmark is also placed next to Secured Mode in the Tools menu of the menu bar.

For more information on Secure Multi-user mode, see IxExplorer Operation in the IxExplorer Users Guide.

Unsecuring the Server

To unlock the IxServer for all users after it has been set to Secure Mode, open the Secure Mode dialog box by selecting Secured Mode from the Tools menu. A dialog box appears warning of the properties of secure mode, as shown in the following figure.

Figure:Unsecure Mode Warning

To cancel the operation, select No. To continue, select Yes.

If you select Yes, Secure Mode dialog box appears. This dialog box is shown in the following figure.

Figure:Secure Mode Dialog

The fields displayed are identical to the fields described in Figure:Secure Mode Dialog.

To deactivate secure mode, enter an alphanumeric Administrator name, the Administrator password, and confirmation of the password. Any user name and password with Administrator privileges works.

When this is done, select Exit Secure Mode. A dialog box appears, confirming that IxServer (and therefore, the chassis) is now unlocked to all users. This dialog box is shown in the following figure.

Figure:Unsecure Mode Confirmation

Select OK to reactivate any currently locked-out user connections on the chassis.


Managed Mode

Managed Mode is the option of IxServer that enables an administrator to assign ports to users (and/or to groups of users) and to restrict users and groups to be able to view and configure only those ports for which they have been granted ownership. Different users and groups of users can be assigned to use different or overlapping sets of ports, and a user group is only able to `see' the ports assigned to them.

Note: If Secured Mode is active,Managed Mode is not accessible (disabled).

To activate Manage Mode, perform the following steps:

  1. On the Tools menu, select Manage Mode. The Manage Mode dialog box appears as shown in the following figure.

    2. Figure: Manage Mode Dialog

  2. Enter the Administrator name and password credentials.
    Note:
    • If Manage Mode is being used on this chassis for the first time, the Administrator and password credentials entered at this point will be configured and saved for later use of Manage Mode only by the Administrator of the chassis.
    • If Manage Mode has been previously configured on the chassis, enter the Administrator name and credentials in the Administrator, Password and Confirm Password boxes.
  3. Select Manage . The Manage Assignments dialog box appears. This allows you to activate Managed Mode, configure users, groups and change administrator password.

    4. Figure:Manage Assignments Dialog

  4. Select the Enable Managed mode check box to activate the managed mode.

Add or Modify Groups

Figure:Groups List shows a sample list of 4 groups.

Figure:Groups List

To add or change users, do the following:

  • In the Groups box, select Add Group to create a new group. The Group dialog box appears, where you enter the group's name, and then select OK .
  • To delete a group, select the group's name and select Delete Group.
  • To modify a group's name, select Modify Group. The Group Assignment window appears. Here you can assign ports to the users in the group. The users need to be defined as : <machine_name>\<user_name> Ex : appserver1\admin01.

    • Figure:Group Assignment Dialog shows a sample Group Assignment wherein 4 ports and 2 users have been assigned the group. Using this dialog box, the administrator can add/remove any port available from the chassis (upper left area Port List ) to the group's port list (upper right area). The administrator can also add/remove any users from the user list (lower left area User List ) to the group's user list (lower right area).

    Figure:Group Assignment Dialog

To add a port to a group, do the following:

  • Select a port from the Port List in the left panel and select >>. To delete a port, highlight it (in the right panel) and select <<.
  • To add the user to the group select a user from the User List and select >>. To delete a user, highlight it and select <<.
  • SelectOK to close the dialog box and confirm the changes. The Manage Assignments dialog box again appears.
  • Select OK in Manage Assignments dialog box to save the changes and apply them to the system.

    • The configuration is saved on the server in a file named IxServer.ixmd , which is automatically loaded whenever IxServer is started. Any subsequent changes to the Managed Mode configuration overwrites the IxServer.ixmd file. If the file is erased, the Managed Mode configuration data is lost.

Add or Modify Users

Figure:Users List shows a sample list of 5 users.

Figure:Users List

To add or change users, do the following:

  • In the Users box, select Add User to create a new user. The User dialog box appears, where you enter the user's name, and then select OK .
  • To delete a user, select the user's name and select Delete User .
  • To modify a user's name (to correct spelling), select Modify User , and then in the User dialog box make changes to the user's name and select OK .

Managed Mode Rules

The following rules apply to IxExplorer behavior when IxServer is in Managed Mode:

  • When not in a group, you are only able to see ports that are not assigned to any group.
  • When you are in one or more groups, you are able to see only those ports assigned to the group(s) they belong to.
  • All users of the same group can view and perform actions on all the ports of that group.
  • A user can be assigned to multiple groups.
  • A port can be assigned to multiple groups.


About IxServer

The About menu in the menu bar displays the IxServer version number and copyright information.

To view this information, select Help > About IxServer. The About IxServer - Versions dialog box appears, as shown in the following figure.

Figure:Versions Dialog

The version number and copyright information are shown in this dialog box. To close the dialog box, select OK.


Chapter 1: Using IxServer

Path: Appendix A

Appendix A

The following Load Modules that are End-Of-Development starting from IxOS 9.00 are not supported in High Performance Mode.

Load Module Name
EIM10G4S
EIM1G4S
EIM40G2Q
HSE40/100GETSP1-01
HSE40/100GETSPR1-01 40/100 GE Data Plane Only
HSE40GEQSFP1-01 (EOL 12/20/2019)
HSE40GETSP1-01 (EOL 11/5/2017)
LM1000STX4 (EOL 11/5/2017)
LM1000STXR4 (11/05/2017) (CHINAPL)
LM1000STXS4-256
LM622MR (EOL 11/05/2017)
LM622MR-512
LSM1000XMSP12
LSM1000XMVR12-01
LSM1000XMVR4-01
LSM1000XMVR8-01
LSM10G1-01
LSM10GR1-01 (EOL 1/1/2018)(CHINAPL)
LSM10GXM2GBT-02
LSM10GXM2NG-01 NGY - Fusion Enabled
LSM10GXM2XP-01
LSM10GXM4GBT-02
LSM10GXM4NG-01 NGY Fusion Enabled
LSM10GXM4XP-01
LSM10GXM8NG-01 NGY Fusion Enabled
LSM10GXM8XP-01
LSM10GXMR2-01
LSM10GXMR2GBT-02
LSM10GXMR4-01 (EOL 12/27/2019)
LSM10GXMR4GBT-02
LSM10GXMR8-01
LSM10GXMR8GBT-02
MSM2.5G1-01
FCMGXM4S-01
FCMGXM8S-01
Xdensity XDM10G32S
XDENSITY,XDM10G8S,10GBE,8-PORTS,SFP+,LOAD MODULE


Note icons and messages

The following table describes the note icons and messages used in this document.

Name | Icon | Description
Note | Note | Indicates information that emphasizes or supplements important points in the main text.
Important | Important Note | Indicates information that is essential to the completion of a task.
Tip | Tip | Provides supplemental suggestions for applying techniques and procedures to accomplish a task.


Safety and damage messages

This is the safety alert symbol:

It is used to indicate a hazard. Specific keywords and additional graphical representations are used to explain the specific nature of each hazard.

The following table describes the safety warning and equipment damage icons and textual conventions used in this document.

Type of Hazard | Icon | Description
CAUTION | Safety Alert symbol | Indicates a hazardous situation that, if not avoided, could result in minor or moderate injury.
WARNING | Safety Alert symbol | Indicates a hazardous situation that, if not avoided, could result in death or serious injury. Specific icons may be used to indicate specific types of warnings.
 | Laser radiation hazard | Laser radiation hazard warning.
 | Electrostatic discharge hazard | Electrostatic discharge hazard warning.
 | High voltage hazard | High voltage hazard warning.
 | Hot surface hazard | Hot surface hazard warning.
 | Moving fan blades hazard | Moving fan blades hazard warning.
DANGER | Danger | Indicates a hazardous situation that, if not avoided, will result in death or serious injury.
NOTICE | NOTICE | Indicates a condition or occurrence that could result in property damage.


About this guide

This section explains the notational and typographical conventions used in this documentation, and provides a list of related documentation.

Section contents:


Related documentation

The following guides may help you learn more about IxServer. The guides are available on the CD shipped with the application, and also on the Ixia Web site at www.ixiacom.com.

  • IxExplorer User Guide: Provides details on the usage of the IxExplorer GUI for operation with an Ixia chassis and Ixia load modules.
  • Ixia Platform Reference Guide:Provides a detailed list of all currently supported Ixia chassis and Ixia load modules, as well as general information regarding various technologies covered by Ixia products.
  • IxOS Tcl Development Guide:Describes the structure and conventions of the IxExplorer Tcl API and provides detailed information on all API commands.

In addition to these guides, IxServer context-sensitive Help is available. By pressing F1 or the application's Help, information about the displayed application window appears. Help content can also be accessed from the Help's table of contents or index.

Technical Support

You can obtain technical support for any Ixia product by contacting Ixia Technical Support by any of the methods mentioned on the inside cover of this guide. Technical support from Ixia's corporate headquarters is available Monday through Friday from 06:00 to 18:00 Pacific Standard Time (excluding American holidays). Technical support from Ixia's EMEA and India locations is available Monday through Friday, from 08:00 to 17:00 local time (excluding local holidays).

Ixia user documentation is also available in the Support & Services > User Guides area of https://support.ixiacom.com/. User login is required to view this online documentation.


Textual conventions

The following table describes the typographical conventions used in this document.

Convention | Description
Boolean text | Words that represent Boolean notation are written in all uppercase text. For example: 192.168.5.5 OR 10.20.30.30.
Keystrokes | Simultaneous keystrokes are shown by joining the key names with a plus sign (+). For example, CTRL+Q.
> (right angle bracket) | Separates levels in a hierarchy of menu selections. For example: “Select Administration > Users.”


Typographical conventions

The following table describes the typographical conventions used in this document.

Convention Description
bold text

Bold text indicates:

  • Graphical user interface element names (such as dialog boxes, buttons, menu selections, and so forth).

  • Command line interface commands and options.

  • The name of a field, option, or parameter when used as part of an instruction.

    For example: “Select the desired Inner Priority value.”

Italic text

Italic text indicates:

  • A text reference to the name of a field, option, or parameter.
  • Document and book titles.
  • The first reference to a new term.

  • Special identification or emphasis in a statement.
monospace text

Text shown in a monospace font is used to indicate:

  • Text that you input. For example:

    Enter cd project1

  • Code samples, including keywords and variables within text and as separate paragraphs, and user-defined program elements within text.

  • Text file content or examples, such as lines of text from an .ini file.


Documentation conventions

The following documentation conventions are used in this guide:

Describing interactions with the UI

You can interact with products by using different input methods: keyboard, mouse, touch, and more. So in most parts of the user documentation, generic verbs have been used that work with any input method. In cases where input-neutral verbs do not work, mouse-specific verbs are used as the first choice, followed by touch-specific verbs as the second choice.

See the following table for examples on how you can interpret the different input methods.

Input-neutral | Mouse | Touch
Select Modify. | Click Modify. | Tap Modify.
Select Accounts > Other accounts > Add an account. | Click Accounts > Other accounts > Add an account. | Tap Accounts > Other accounts > Add an account.
To open the document in Outline view, select View > Outline. | To open the document in Outline view, click View > Outline. | To open the document in Outline view, tap View > Outline.
Select Protocols. | Click the Protocols tab. | Tap Protocols.
-NA- | Double-click the Client wizard. | Double-tap the Client wizard.
Open the Packages context menu. | Right-click Packages to open the shortcut menu. | Long tap Packages to open the shortcut menu.
Deprecated words

The following words have been replaced with new words, considering the audience profile, our modern approach to voice and style, and our emphasis to use input-neutral terms that support all input methods.

Old usage... | New usage...
shortcut menu, right-click menu | context menu
click, right-click | select
drag and drop | drag


LastPage

© Keysight Technologies, 1997–2020


PDF_Title_KS

Documentation Conventions | Contacting us


Welcome_RWT

Welcome

IxServer

User Guide

Release 9.14


Software License

Documentation Conventions | Contacting us


Dummy topic

This topic is present to set up the skeletal TOCs.

You should delete it once you have set up your actual TOCs.

Examples of styles

This is a paragraph.

Note: This is a simple note.

Here is a little table:

This column | This also
one | two
three | Notice the p tags within the li tags in the list below.

The following use the indent classes:

indenting two ems.

indending four ems.

indenting two ems.

This is another paragraph .

Important! And this is an important note.

This is another paragraph, following by a tip.

Tip: Happy Jack to show, in the fourth.

And here is a list:

  1. This first thing.

  2. The next thing. And it has a sublist:

    1. The a thing.

    2. The b thing.

      Note: And here is a simple note.

  3. And finally the last thing.


IxServer User Guide, , Release 9.14

User Guide

This guide describes how to set up your IxServer User Guide, including

  • TBD
  • TBD

For complete information, refer to the IxServer User Guide User Guide (available on support.ixiacom.com).

Product safety information
Before starting the set up, read all product safety instructions. They include specific safety messages that will alert you to any hazards associated with the installation and proper operation of the equipment. Failure to follow those instructions can result in serious injury or death.


Product safety information

Before starting the set up, read all product safety instructions. They include specific safety messages that will alert you to any hazards associated with the installation and proper operation of the equipment. Failure to follow those instructions can result in serious injury or death.